[Python-Dev] Python 2.4b1 on win32 installer bug?

"Martin v. Löwis" martin at v.loewis.de
Tue Oct 19 22:36:59 CEST 2004

Thomas Heller wrote:
> Can it be that deinstallation of Python-2.4a3.msi (which I did before
> 2.4b1 was installed) removed the association of Python files with
> Python-2.3?

I don't call exactly, but this could very well be possible. When I
tried to support advertising extensions, a side effect was that not
installing the extensions would just remove the previous extensions;
this is meant to be fixed in 2.4b1.

Also, upgrading from 2.4a3 (with extensions installed) to 2.4b1
(with no extensions) would have the same effect - there is simply
no support for restoring older versions of the extensions when
uninstalling (and upgrading from 2.4a3 to 2.4b1 is actually the
same as uninstalling 2.4a3 first).


More information about the Python-Dev mailing list